#include <iostream>
#define endl '\n'
using namespace std;

const int MOD = 1000001;

int fact[105];

int modpow(int st, int a)
{
    int res = 1;
    while (st)
    {
        if (st & 1) res = (res * a) % MOD;
        st >>= 1;
        a = (a * a) % MOD;
    }
    return res;
}

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    int X, Y, N;
    cin >> X >> Y >> N;

    fact[0] = 1;
    for (int i = 1; i <= 100; ++ i)
        fact[i] = (fact[i - 1] * i) % MOD;

    if (N / 2 + N % 2 > X or N / 2 + N % 2 > Y)
    {
        cout << 0 << endl;
        return 0;
    }

    int ans = 0;

    if (N <= X)
    {
        int ed = N % 2;
        int dv = N / 2;
        while (dv + ed <= Y and dv >= 0 and ed >= 0)
        {
            ans = (ans + fact[X] * modpow(MOD - 2, fact[X - 2 * dv - ed] % MOD) % MOD) % MOD;
            dv--;
            ed += 2;
        }
    }

    if (N <= Y)
    {
        int ed = N % 2;
        int dv = N / 2;
        while (dv + ed <= X and dv >= 0 and ed >= 0)
        {
            ans = (ans + fact[Y] * modpow(MOD - 2, fact[Y - 2 * dv - ed]) % MOD) % MOD;
            dv--;
            ed += 2;
        }
    }

    if (N == min(X, Y)) ans = (ans - fact[max(X, Y)] * modpow(MOD - 2, fact[N] * fact[max(X, Y) - N] % MOD) % MOD) % MOD;
    if (ans < 0) ans += MOD;

    cout << ans << endl;

    return 0;
}
