#include <iostream>
#define endl '\n'
using namespace std;

const int MOD = 1000001;
const int fiMOD = 990000;

long long fact[105];

int modpow(int st, long long a)
{
    long long res = 1;
    while (st)
    {
        if (st & 1) res = (res * a) % MOD;
        st >>= 1;
        a = (a * a) % MOD;
    }
    return res;
}

int main()
{
    ios :: sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    int X, Y, N;
    cin >> X >> Y >> N;

    fact[0] = 1;
    for (int i = 1; i <= 100; ++ i)
        fact[i] = (fact[i - 1] * i) % MOD;

    if (N / 2 + N % 2 > X or N / 2 + N % 2 > Y)
    {
        cout << 0 << endl;
        return 0;
    }

    long long ans = 0;

    if (N <= X)
    {
        int ed = N % 2;
        int dv = N / 2;
        while (dv + ed <= Y and dv >= 0 and ed >= 0)
        {
            ans = (ans + 1ll * fact[Y] * modpow(fiMOD - 1, fact[Y - dv - ed]) % MOD * fact[X] * modpow(fiMOD - 1, modpow(dv, 2) * fact[X - N] % MOD) % MOD) % MOD;
            cout << ans << endl;
            dv--;
            ed += 2;
        }
    }

    if (N <= Y)
    {
        int ed = N % 2;
        int dv = N / 2;
        while (dv + ed <= X and dv >= 0 and ed >= 0)
        {
            ans = (ans + 1ll * fact[X] * modpow(fiMOD - 1, fact[X - dv - ed]) % MOD * fact[Y] * modpow(fiMOD - 1, modpow(dv, 2) * fact[Y - N] % MOD) % MOD) % MOD;
            dv--;
            ed += 2;
        }
    }

    if (N <= X and N <= Y) ans = (ans - 1ll * fact[X] * modpow(fiMOD - 1, fact[N] * fact[X - N] % MOD) * fact[Y] * modpow(fiMOD - 1, fact[N] * fact[Y - N])) % MOD;
    if (ans < 0) ans += MOD;

    cout << ans << endl;

    return 0;
}
