#include <iostream>
using namespace std;
const long long mod=1000001;
int n, m;
int row[101], col[101];
bool used[101][101];
long long findans(int k) {
    if (k==0) {
        for (int i=0;i<n;i++) {
            for (int j=0;j<m;j++) {
                if (row[i]-1+col[j]-1>1 && used[i][j]) return 0;
            }
        }
        return 1;
    }
    int ans=0;
    for (int i=0;i<n;i++) {
        for (int j=0;j<m;j++) {
            if (row[i]+col[j]<=1 && !used[i][j]) {
                used[i][j]=true;
                row[i]++; col[j]++;
                ans+=findans(k-1);
                used[i][j]=false;
                row[i]--; col[j]--;
            }
        }
    }
    return ans;
}
long long fact(long long n) {
    long long ans=1;
    for (int i=2;i<=n;i++) ans*=i;
    return ans;
}
int main () {
    int k;
    cin >> n >> m >> k;
    cout << (findans(k)/fact(k))%mod << endl;
    return 0;
}
