#include<iostream>
#include<stdio.h>
#include<vector>
#include<algorithm>
using namespace std;
struct edge
{
    int num;
    int cnt;
    edge()
    {
        num=0;
        cnt=0;
    }
    edge(int nu,int c)
    {
        num=nu;
        cnt=c;
    }
};
const int maxn=1000000;
vector<edge>v;
int bin(int k)
{
    int l=0,r=v.size()-1,mid;
    while(l<=r)
    {
        mid=(l+r)/2;
        if(v[mid].num==k)
            return mid;
        if(k<v[mid].num)
            r=mid-1;
        else
            l=mid+1;
    }
    return -1;
}
bool cmp1(edge s,edge t)
{
    return (s.num<t.num);
}
void solve(int a)
{
    int pos=bin(a);
    if(pos!=-1)v[pos].cnt++;
    else
    {
        edge d(a,1);
        v.push_back(d);
        sort(v.begin(),v.end(),cmp1);
    }
}
void read()
{
    int n,a;
    scanf("%d",&n);
    scanf("%d",&a);
    edge e(a,1);
    v.push_back(e);
    for(int i=2; i<=n; i++)
    {
        scanf("%d",&a);
        solve(a);
    }

}
bool cmp2(edge s,edge t)
{
    return (s.cnt>=t.cnt);
}
void print()
{
    sort(v.begin(),v.end(),cmp2);
    cout<<v[0].num<<endl;
}
int main()
{
    read();
    print();
    return 0;
}
